From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Date: Mon, 28 Jan 2013 15:22:13 +0200
Subject: [PATCH] Redefine the removed __dev* for now

The __dev* directives and functions were removed in 3.8, as they
are no-ops. We still have use of them for older versions, thus
we should define them (as noops) if they don't exist.

Signed-off-by: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
---
 include/dahdi/kernel.h |    8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/include/dahdi/kernel.h b/include/dahdi/kernel.h
index 13bbb20..4a98af5 100644
--- a/include/dahdi/kernel.h
+++ b/include/dahdi/kernel.h
@@ -120,6 +120,14 @@
 #  endif
 #endif
 
+/* __dev* were removed in 3.8. They still have effect in 2.6.18. */
+#ifndef __devinit
+#  define __devinit
+#  define __devinitdata
+#  define __devexit
+#  define __devexit_p(x) x
+#endif
+
 /*! Default chunk size for conferences and such -- static right now, might make
    variable sometime.  8 samples = 1 ms = most frequent service interval possible
    for a USB device */
-- 
1.7.10.4

